「Angular」とActiveReportsJSで帳票を出力する

JavaScript帳票ライブラリ「ActiveReportsJS(アクティブレポートJS)」では、Angular、React、Vue.jsといった、主要なJavaScriptフレームワークに対応したパッケージをそれぞれ用意しています。今回はその中からAngularでActiveReportsJSを使う方法をご紹介いたします。

※ 以下、Node.jsが環境にインストールされていることが前提となります。インストールしていない場合は、あらかじめこちらより推奨版をインストールしてください。また、エディタとしてVisual Studio Codeを使用します。

Angular CLIのインストール

まずはAngularアプリの作成や実行など、Angularでの開発に欠かせないコマンドラインツール「Angular CLI」をインストールします。
※ すでにインストール済みの場合、この手順は不要です。


ターミナルやコマンドプロンプトを開き、以下のコマンドを実行して、Angular CLIパッケージをグローバルにインストールします。

npm install -g @angular/cli

インストールが完了したら、以下のコマンドでAngular CLIのバージョン等を確認できます。

ng --version
Angular CLIのインストール確認

Angularアプリケーションの作成

以下のコマンドを実行して、Angularアプリケーションを作成します。アプリケーションのオプションをいくつか質問されますが、全てEnterキーを押して既定値を選択します。

ng new angular-app

以上でAngularアプリケーションのひな形は完成です。作成されたアプリケーションのフォルダに移動し、ng serveコマンドで実行します。

cd angular-app
ng serve --open

ブラウザでhttp://localhost:4200/が自動的に開き、以下のようなページが表示されます。

サンプルアプリの起動

ActiveReportsJSのパッケージのインストール

以下のコマンドを実行して、ActiveReportsJSのパッケージをアプリケーションにインストールします。

npm install @grapecity/activereports-angular

続いて以下のコマンドを実行して、ActiveReportsJSの日本語化パッケージをアプリケーションにインストールします。

npm install @grapecity/activereports-localization

ソースコードの修正

src/app/app.component.htmlファイルの中身を以下の内容に書き換えます。

<gc-activereports-viewer [height]="height" [language]="language" (documentLoaded)="onDocumentLoaded($event)" #reportviewer> </gc-activereports-viewer>

src/app/app.module.tsファイルの中身を以下の内容に書き換えます。

import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { ActiveReportsModule } from '@grapecity/activereports-angular';
import '@grapecity/activereports-localization';
import { AppComponent } from './app.component';
@NgModule({
  declarations: [AppComponent],
  imports: [BrowserModule, ActiveReportsModule],
  providers: [],
  bootstrap: [AppComponent],
})
export class AppModule {}

src/app/app.component.tsファイルの中身を以下の内容に書き換えます。

import { Component, ViewChild, AfterViewInit } from '@angular/core';
import {
  ViewerComponent,
  HtmlExportService,
  PdfExportService,
  XlsxExportService,
  AR_EXPORTS,
} from '@grapecity/activereports-angular';
@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css'],
  providers: [
    { provide: AR_EXPORTS, useClass: PdfExportService, multi: true },
    { provide: AR_EXPORTS, useClass: HtmlExportService, multi: true },
    { provide: AR_EXPORTS, useClass: XlsxExportService, multi: true },
  ],
})
export class AppComponent implements AfterViewInit {
  @ViewChild(ViewerComponent, { static: false }) reportViewer: ViewerComponent = new ViewerComponent;
  title = 'ActiveReports Angular App';
  height = '100vh';
  language = 'ja';
  onDocumentLoaded = function (a: any) {
    console.log('document loaded', a);
  };
  ngAfterViewInit() {
    this.reportViewer.init.subscribe(() => {
      this.reportViewer
        .registerFont({ name: 'IPAゴシック', source: 'assets/ipag.ttf' })
        .then(() =>
          this.reportViewer.open('assets/Invoice_green_ipa.rdlx-json')
        );
    });
  }
}

src/styles.cssファイルに以下の内容を追加します。

@import '@grapecity/activereports/styles/ar-js-viewer.css';
@import '@grapecity/activereports/styles/ar-js-ui.css';

レポートファイルとフォントファイルの配置

表示するレポートファイルはsrc/assetsフォルダ配下に配置します。また、PDFエクスポートを行う場合はフォントファイルも同フォルダに配置します。

以下のGitHubで公開しているサンプルレポート(Invoice_green_ipa.rdlx-json)と、フォントファイル(ipag.ttf)をダウンロードして、src/assetsフォルダ配下にコピーして下さい。

レポートファイルとフォントファイルの配置

アプリケーションの実行

以上でアプリケーションの作成は完了です。以下のコマンドを実行して、ローカル環境でアプリケーションを実行します。

ng serve --open

ブラウザでhttp://localhost:4200/が自動的に開き、以下のようにレポートが表示されます。

アプリケーションの実行

サイドバーからPDFなど各種形式へのエクスポートも実行可能です。

サイドバーからエクスポート
PDFへの出力結果

さいごに

Webサイトでは製品の機能を手軽に体験できるデモアプリケーションやトライアル版も公開しておりますので、こちらもご確認ください。

また、ご導入前の製品に関するご相談、ご導入後の各種サービスに関するご質問など、お気軽にお問合せください。

\  この記事をシェアする  /

「Vue.js」とActiveReportsJSで帳票を出力する

JavaScript帳票ライブラリ「ActiveReportsJS(アクティブレポートJS)」では、Angular、React、Vue.jsといった、主要なJavaScriptフレームワークに対応したパッケージをそれぞれ用意しています。今回はその中からVue.jsでActiveReportsJSを使う方法をご紹介いたします。

※ 以下、Node.jsが環境にインストールされていることが前提となります。インストールしていない場合は、あらかじめこちらより推奨版をインストールしてください。また、エディタとしてVisual Studio Codeを使用します。

Vue CLIのインストール

Vue.jsのプロジェクトの作成やビルドには、コマンドラインツールの「Vue CLI」を使用します。

以下のコマンドをターミナルから実行してVue CLIをインストールします。
※ すでにインストール済みの場合、この手順は不要です。

npm install -g @vue/cli

次に以下のコマンドを実行し、「vue-reporting-app」という名前のプロジェクトを作成します。

vue create vue-reporting-app

プリセットの選択肢が表示されるので、「Vue 2」、または「Vue 3」のプリセットを選択してEnterをクリックします。
※ 手動で機能を選択する場合は一番下の「Manually select features」を選択してください。

デフォルトプリセットの選択

プロジェクトが作成されたら、以下のコマンドを実行し、プロジェクトのフォルダ配下に移動します。

cd vue-reporting-app

次に以下のコマンドを実行して開発サーバー上でアプリケーションが実行します。

npm run serve

ブラウザで「http://localhost:8080/」を参照すると以下のような画面が表示されます。また、ソースファイルを変更すると自動的に変更が反映されます。

Vue.jsアプリの起動

ActiveReportsJSのインストール

次に以下のコマンドを実行し、ActiveReportsJSのVue.js用のパッケージおよびビューワを日本語化するためのローカライズパッケージをインストールします。
※ 2021年10月時点の最新の日本語版「V2.1J」をインストールします。

npm install @grapecity/activereports-vue@2.1.0 @grapecity/activereports-localization@2.1.4

バージョンを指定せずに最新版をインストールする場合は以下のようにコマンドを実行します。

npm install @grapecity/activereports-vue @grapecity/activereports-localization

また、Vue 2を使用する場合は以下のパッケージも追加でインストールします。
※ ActiveReportsJS V2J以降は内部的に本パッケージを使用します。

npm install @vue/composition-api

package.jsonのdependenciesを見ると、インストールされたVue.jsやActiveReportsJSのバージョンが確認できます。以下はVue 3のプリセットを選択した場合の例です。

・・・(中略) 
 "dependencies": {
    "@grapecity/activereports-localization": "^2.1.4",
    "@grapecity/activereports-vue": "^2.1.0",
    "core-js": "^3.6.5",
    "vue": "^3.0.0"
  },
・・・(中略)

App.vueの修正

次に「src/App.vue」ファイルを修正し、ActiveReportsJSの帳票ビューワの初期化処理やスタイルの設定を行っていきます。

まずは「template」タグの箇所を以下のように置き換え、ビューワの定義を行います。

<template>
  <div id="app">
    <GcArViewer
      ref="control"
      viewMode="paginated"
      language="ja"
      v-bind:availableExports="['pdf', 'xlsx', 'html']"
      :report="{ Uri: 'reports/Invoice_green_ipa.rdlx-json' }"
    />
  </div>
</template>

次に「script」タグの箇所を以下のように書き換え、モジュールのインポートやフォントの登録の処理を行います。
※ PDFエクスポートを行わない場合はフォントの登録は不要です。

<script>
import { Core } from "@grapecity/activereports";
import { Viewer } from "@grapecity/activereports-vue";
import "@grapecity/activereports/styles/ar-js-ui.css";
import "@grapecity/activereports/styles/ar-js-viewer.css";
import "@grapecity/activereports/pdfexport";
import "@grapecity/activereports/htmlexport";
import "@grapecity/activereports/xlsxexport";
import "@grapecity/activereports-localization";

import { onMounted } from "vue";

export default {
  name: "App",
  components: {
    GcArViewer: Viewer,
  },
  setup() {
    onMounted(() => {
      Core.FontStore.registerFonts({
        name: 'IPAゴシック',
        source: 'fonts/ipag.ttf',
      });
    });
  },
};
</script>

Vue 2を使用する場合は以下のように設定して下さい。

<script>
import { Core } from "@grapecity/activereports";
import { Viewer } from "@grapecity/activereports-vue";
import "@grapecity/activereports/styles/ar-js-ui.css";
import "@grapecity/activereports/styles/ar-js-viewer.css";
import "@grapecity/activereports/pdfexport";
import "@grapecity/activereports/htmlexport";
import "@grapecity/activereports/xlsxexport";
import "@grapecity/activereports-localization";
import Vue from "vue";

export default Vue.extend({
  name: "app",
  components: {
    GcArViewer: Viewer,
  },
  mounted: function () {
    Core.FontStore.registerFonts({
      name: "IPAゴシック",
      source: "fonts/ipag.ttf",
    });
  },
});
</script>

「style」タグの箇所を以下のように書き換え、ビューワのスタイルを定義します。

<style>
#app {
  height: 100vh;
}
</style>

レポートファイルとフォントファイルの配置

表示するレポートファイルは「public」フォルダ配下に配置します。また、PDFエクスポートを行う場合はフォントファイルも同フォルダ配下に配置します。

以下のGitHubで公開しているサンプルレポート(Invoice_green_ipa.rdlx-json)を「public/reports」フォルダに、フォントファイル(ipag.ttf)を「public/fonts」フォルダにそれぞれコピーして下さい。

静的ファイルの配置

アプリケーションの実行

以上でアプリケーションの作成は完了です。以下のコマンドを実行して、開発サーバー上でアプリケーションを起動します。

npm run serve

ブラウザで「http://localhost:8080/」を参照すると、ActiveReportsJSの帳票ビューワが表示され、作成した帳票の閲覧や、PDFなど各種形式への保存が実行できます。

さいごに

以上がVue.jsでActiveReportsJSを使用して帳票を出力する方法でした。ActiveReportsJSは今回ご紹介したVue.jsだけでなく、AngularやReactといったJavaScriptフレームワークでもご利用可能です。詳しくは以下の記事もご覧ください。

また、製品Webサイトでは、無料で試せるデモアプリケーションやトライアル版も公開しています。トライアル版では今回ご紹介できなかった帳票デザイナを含めたすべての機能が使用可能なほか、手元で動かして試せるサンプルも付属していますので、気になった方は是非一度お試しいただけますと幸いです。

また、ご導入前の製品に関するご相談、ご導入後の各種サービスに関するご質問など、お気軽にお問合せください。

\  この記事をシェアする  /

「Svelte」とActiveReportsJSで帳票を出力する

JavaScript帳票ライブラリ「ActiveReportsJS(アクティブレポートJS)」では、主要なJavaScriptフロントエンドフレームワークであるReact、Vue.js、Angular、Svelteに対応したパッケージをそれぞれ用意しています。今回はその中からSvelteでActiveReportsJSを使う方法をご紹介いたします。

※ 以下、Node.jsが環境にインストールされていることが前提となります。インストールしていない場合は、あらかじめこちらより推奨版をインストールしてください。また、エディタとしてVisual Studio Codeを使用します。

Svelteアプリの作成

Svelteアプリの作成には、SvelteのWebアプリ開発向けのレンダリングフレームワーク「SvelteKit」を使用します。

以下のSvelteKitのCLIコマンドを実行し、「svelte-reporting-app」という名前のプロジェクトを作成します。
※ 2024年11月時点で、ActiveReportsJSの日本語版最新バージョン「V5J」がサポートするSvelteのバージョン「4」を使用する場合、SvelteKitのCLIコマンド「npm create svelte@6.4.0」を利用する必要があります。なお、Svelteの最新バージョン「5」に対応したCLIコマンド「npx sv」は現在対応していませんが、今後対応を予定しています。

npm create svelte@6.4.0 svelte-reporting-app

コマンドを実行すると、作成するプロジェクトについての選択肢が表示されます。設定内容については、次の画像を参考にしてください。

Sveltekitプロジェクトの作成

プロジェクトが作成されたら、以下のコマンドを実行し、プロジェクトのフォルダ配下に移動します。

cd svelte-reporting-app

続いて以下のコマンドを実行し、必要なパッケージのインストールを行います。

npm install

ここまでの手順でテンプレートプロジェクトの作成が完了しましたので、次のコマンドを実行し動作確認を行います。

npm run dev

ブラウザで「http://localhost:5173/」を参照すると以下のような画面が表示されます。また、ソースファイルを変更すると自動的に変更が反映されます。

Svelteアプリの起動

ActiveReportsJSのインストール

次に以下のコマンドを実行し、ActiveReportsJSのSvelte用のパッケージおよびビューワを日本語化するためのローカライズパッケージをインストールします。
※ 2024年11月時点の最新の日本語版「V5J」をインストールします。

npm install @mescius/activereportsjs-svelte@5.0.3 @mescius/activereportsjs-i18n@5.0.3

バージョンを指定せずに最新版をインストールする場合は以下のようにコマンドを実行します。

npm install @mescius/activereportsjs-svelte @mescius/activereportsjs-i18n

ソースコードの修正

次に、ActiveReportsJSのビューワーを組み込むため、src\routes\配下にある「+page.svelte」を次のように書き換えます。

<script lang="ts">
    // ARJS関連インポート
    import '@mescius/activereportsjs/styles/ar-js-ui.css';
    import '@mescius/activereportsjs/styles/ar-js-viewer.css';
    import {Core} from "@mescius/activereportsjs";
    import {Viewer} from "@mescius/activereportsjs-svelte";
    import '@mescius/activereportsjs-i18n';
    import "@mescius/activereportsjs/pdfexport";
    import "@mescius/activereportsjs/htmlexport";
    import "@mescius/activereportsjs/xlsxexport";
    import "@mescius/activereportsjs/tabulardataexport";

    //ライセンス登録
    Core.setLicenseKey('Your License Key'); //ここでライセンスキーを設定します。

    let viewerInst:Viewer;
</script>

<div id="viewer-host">
    <Viewer report={{ Uri: 'reports/Invoice_green_ipa.rdlx-json' }} language="ja" bind:this={viewerInst}></Viewer>
</div>

<style>
    #viewer-host {
        width: 100%;
        height: 100vh;
    }
</style>

サーバーサイドレンダリングの無効化

SvelteKitを使用してアプリケーションを作成した場合、サーバー上でページを作成・描画しクライアント側にHTMLを送信するサーバーサイドレンダリング(SSR)で作成されます。しかし、ActiveReportsJSはクライアントサイドレンダリングのみをサポートしているため、サーバーサイドでのレンダリングを無効化する必要があります。

無効化を行うには、「+page.svelte」が配置されているsrc\routes\配下に「+page.js」ファイルを作成して、以下のような無効化の設定を記述します。

export const prerender = false;
export const ssr = false;

レポートファイルとフォントファイルの配置

表示するレポートファイルは「public」フォルダ配下に配置します。また、PDFエクスポートを行う場合はフォントファイルも同フォルダ配下に配置します。

以下のGitHubで公開しているサンプルレポート(Invoice_green_ipa.rdlx-json)を「public/reports」フォルダに、フォントファイル(ipag.ttf)を「public/fonts」フォルダにそれぞれコピーして下さい。

静的ファイルの配置

配置したフォントファイルを読み込ませる為、「+page.svelte」へ次のコード(強調部分)を追加します。

<script lang="ts">
    // ARJS関連インポート
    import '@mescius/activereportsjs/styles/ar-js-ui.css';
    import '@mescius/activereportsjs/styles/ar-js-viewer.css';
    import {Core} from "@mescius/activereportsjs";
    import {Viewer} from "@mescius/activereportsjs-svelte";
    import '@mescius/activereportsjs-i18n';
    import "@mescius/activereportsjs/pdfexport";
    import "@mescius/activereportsjs/htmlexport";
    import "@mescius/activereportsjs/xlsxexport";
    import "@mescius/activereportsjs/tabulardataexport";

    import { onMount } from 'svelte';
    //ライセンス登録
    Core.setLicenseKey('Your License Key'); //ここでライセンスキーを設定します。

    let viewerInst:Viewer;
    onMount(() => {
        const fonts = [
            {
                name: "IPAゴシック",
                source: "fonts/ipag.ttf"
            }
        ];

        // フォント登録
        Core.FontStore.registerFonts(...fonts);
    });

</script>

<div id="viewer-host">
    <Viewer report={{ Uri: 'reports/Invoice_green_ipa.rdlx-json' }} language="ja" bind:this={viewerInst}></Viewer>
</div>

<style>
    #viewer-host {
        width: 100%;
        height: 100vh;
    }
</style>

アプリケーションの実行

以上でアプリケーションの作成は完了です。以下のコマンドを実行して、開発サーバー上でアプリケーションを起動します。

npm run dev

ブラウザで「http://localhost:5173/」を参照すると、ActiveReportsJSの帳票ビューワが表示され、作成した帳票の閲覧や、PDFなど各種形式への保存が実行できます。

さいごに

以上がSvelteでActiveReportsJSを使用して帳票を出力する方法でした。ActiveReportsJSでは今回ご紹介したSvelte以外にも、JSフロントエンドフレームワークのReact、Vue.js、Angularや、レンダリングフレームワークのNext.js、Nuxt.jsでもご利用可能です。詳しくは以下の記事もご覧ください。

また、製品Webサイトでは、無料で試せるデモアプリケーションやトライアル版も公開しています。トライアル版では今回ご紹介できなかった帳票デザイナを含めたすべての機能が使用可能なほか、手元で動かして試せるサンプルも付属していますので、気になった方は是非一度お試しいただけますと幸いです。

また、ご導入前の製品に関するご相談、ご導入後の各種サービスに関するご質問など、お気軽にお問合せください。

\  この記事をシェアする  /

「React」とActiveReportsJSで帳票を出力する

ActiveReportsJS(アクティブレポートJS)」では、Angular、React、Vue.jsといった、主要なJavaScriptフレームワークに対応したパッケージをそれぞれ用意しています。今回はその中からReactでActiveReportsJSを使う方法をご紹介いたします。

※ 以下、Node.jsが環境にインストールされていることが前提となります。インストールしていない場合は、あらかじめこちらより推奨版をインストールしてください。また、エディタとしてVisual Studio Codeを使用します。

Create React Appのインストール

まずはReactアプリ開発環境の構築などが簡単にできるコマンドラインツール「Create React App」をインストールします。

ターミナルやコマンドプロンプトを開き、以下のコマンドを実行して、Create React Appパッケージをグローバルにインストールします。
※ すでにインストール済みの場合、この手順は不要です。

npm install -g create-react-app

create-react-appコマンドを実行して、Reactアプリケーションを作成します。少し待つと、アプリケーションのソースファイルや設定ファイルが自動生成され、パッケージがインストールされます。

create-react-app react-reporting-app

作成されたアプリケーションプロジェクトのフォルダに移動して、npm startコマンドを実行すると、開発サーバー上でアプリケーションが実行されます。

cd react-reporting-app
npm start

ブラウザでhttp://localhost:3000を開くと以下のようなページが表示されます。

Reactアプリケーションの実行

ActiveReportsJSのパッケージのインストール

以下のコマンドを実行して、ActiveReportsJSのパッケージをアプリケーションにインストールします。

npm install @grapecity/activereports-react

続いて以下のコマンドを実行して、ActiveReportsJSの日本語化パッケージをアプリケーションにインストールします。

npm install @grapecity/activereports-localization

ソースコードの修正

src/App.jsを以下のように書き換えます。

import React, { useEffect } from "react";
import "@grapecity/activereports/styles/ar-js-ui.css";
import "@grapecity/activereports/styles/ar-js-viewer.css";
import { Core } from "@grapecity/activereports";
import { Viewer } from "@grapecity/activereports-react";
import "@grapecity/activereports/pdfexport";
import "@grapecity/activereports/htmlexport";
import "@grapecity/activereports/xlsxexport";
import "@grapecity/activereports-localization";
function App() {
  useEffect(() => {
    Core.FontStore.registerFonts({
      name: "IPAゴシック",
      source: "fonts/ipag.ttf",
    });
  });
  return (

<div id="viewer-host" style={{ height: "100vh" }}>
      {" "}
      <Viewer 
        report={{ Uri: "reports/invoice_green_ipa.rdlx-json" }}
        sidebarVisible={true}
        toolbarVisible={true}
        language="ja"
      />{" "}
    </div>
  );
}
export default App;

レポートファイルとフォントファイルの配置

表示するレポートファイルはpublicフォルダ配下に配置します。また、PDFエクスポートを行う場合はフォントファイルも同フォルダ配下に配置します。

以下のGitHubで公開しているサンプルレポート(Invoice_green_ipa.rdlx-json)をpublic/reportsフォルダに、フォントファイル(ipag.ttf)をpublic/fontsフォルダにそれぞれコピーして下さい。

レポートファイルとフォントファイルの配置

アプリケーションの実行

以上でアプリケーションの作成は完了です。以下のコマンドを実行して、ローカル環境でアプリケーションを実行します。

npm start

ブラウザでhttp://localhost:3000を開くと以下のようにレポートが表示されます。

アプリケーションの実行

サイドバーからPDFなど各種形式へのエクスポートも実行可能です。

サイドバーからエクスポート
PDF出力結果

さいごに

Webサイトでは製品の機能を手軽に体験できるデモアプリケーションやトライアル版も公開しておりますので、こちらもご確認ください。

また、ご導入前の製品に関するご相談、ご導入後の各種サービスに関するご質問など、お気軽にお問合せください。

\  この記事をシェアする  /